# HG changeset patch
# User Guido Berhoerster <guido+openindiana@berhoerster.name>
# Date 1284716634 -7200
# Branch gnome-2-30
# Node ID 02258681f2bbc7a906968d41c93f678a5e8d0c86
# Parent c67c9e237ef2293d7ef97c1c7910308eacc880b5
added new package OIopenindiana-backgrounds

diff --git a/copyright/OIopenindiana-backgrounds.copyright b/copyright/OIopenindiana-backgrounds.copyright
new file mode 100644
--- /dev/null
+++ b/copyright/OIopenindiana-backgrounds.copyright
@@ -0,0 +1,19 @@
+Copyright (c) 2010 Ai Rosmalia.
+Copyright (c) 2010 Nora Petrova.
+Copyright (c) 2010 Guido Berhoerster.
+
+Licensing and copyright information for %{name}-%{version}:
+
+ License: BSD License
+
+ You can find more information in the following directory:
+ %{_pkg_docdir}
+
+  COPYING.bz2: copyright information and license
+  AUTHORS: list of authors of %{name}
+  NEWS.bz2: list of the most important changes in %{name}
+  ChangeLog.bz2: list of all changes and authors of %{name}
+  README: more information about %{name}
+
+ The sources of %{name}-%{version} were downloaded from
+ %{SOURCE0.url}
diff --git a/specs/OIopenindiana-backgrounds.spec b/specs/OIopenindiana-backgrounds.spec
new file mode 100644
--- /dev/null
+++ b/specs/OIopenindiana-backgrounds.spec
@@ -0,0 +1,74 @@
+#
+# spec file for package OIopenindiana-backgrounds
+#
+# Copyright 2010 Guido Berhoerster
+# This file and all modifications and additions to the pristine
+# package are under the same license as the package itself.
+#
+%include Solaris.inc
+
+Name:           OIopenindiana-backgrounds
+IPS_package_name:   gnome/theme/background/openindiana-backgrounds
+Meta(info.classification):  %{classification_prefix}:Desktop (GNOME)/Theming
+Summary:        Selection of OpenIndiana backgrounds for the GNOME desktop
+Version:        0.1.1
+Release:        0
+License:        BSD
+Source:         http://dlc.openindiana.org/oi/jds/downloads/sources/openindiana-backgrounds-%{version}.tar.bz2
+Vendor:         OpenIndiana
+BuildRequires:  SUNWperl-xml-parser
+BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+BuildArchitectures: noarch
+Docdir:         %{_defaultdocdir}/%{name}
+SUNW_Basedir:   %{_basedir}
+SUNW_Copyright: %{name}.copyright
+%include default-depend.inc
+
+%package xtra
+IPS_package_name:        gnome/theme/background/openindiana-backgrounds-extra
+Meta(info.classification): %{classification_prefix}:Desktop (GNOME)/Theming
+Summary:        %{summary} - extra backgrounds
+Requires:       %name
+
+%prep
+%setup -q -n openindiana-backgrounds-%{version}
+
+%build
+./configure --prefix=%{_prefix} \
+            --datadir=%{_datadir} \
+            --libdir=%{_bindir}
+
+%install
+make install DESTDIR=$RPM_BUILD_ROOT
+
+%{?pkgbuild_postprocess: %pkgbuild_postprocess -v -c "%{version}:%{jds_version}:%{name}:$RPM_ARCH:%(date +%%Y-%%m-%%d):%{support_level}" $RPM_BUILD_ROOT}
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(-, root, bin, -)
+%dir %attr (0755, root, sys) %{_datadir}
+%dir %attr (0755, root, other) %{_datadir}/pixmaps
+%{_datadir}/gnome-background-properties/openindiana-backgrounds.xml
+%{_datadir}/pixmaps/backgrounds/openindiana/openindiana-default.jpg
+
+%files xtra
+%defattr(-, root, bin, -)
+%dir %attr (0755, root, sys) %{_datadir}
+%dir %attr (0755, root, other) %{_datadir}/pixmaps
+%{_datadir}/pixmaps/backgrounds/openindiana/blue-sky.jpg
+%{_datadir}/pixmaps/backgrounds/openindiana/sparkle.jpg
+%{_datadir}/pixmaps/backgrounds/openindiana/purple-haze.jpg
+%{_datadir}/pixmaps/backgrounds/openindiana/dandelion.jpg
+%{_datadir}/pixmaps/backgrounds/openindiana/daisy.jpg
+
+%doc README AUTHORS NEWS
+%doc(bzip2) COPYING ChangeLog
+%dir %attr (0755, root, other) %{_datadir}/doc
+
+%changelog
+* Sun Oct  3 2010 - gber@openindiana.org
+- Update to version 0.1.1
+* Thu Sep 02 2010 - guido+openindiana@berhoerster.name
+- Initial revision.
diff --git a/specs/SUNWgnome-themes.spec b/specs/SUNWgnome-themes.spec
--- a/specs/SUNWgnome-themes.spec
+++ b/specs/SUNWgnome-themes.spec
@@ -31,7 +31,11 @@
 Requires: SUNWgnome-themes-only
 Requires: SUNWhicolor-icon-theme
 Requires: SUNWgnome-icon-theme
+%if %option_with_openindiana_branding
+Requires: OIopenindiana-backgrounds
+%else
 Requires: SUNWopensolaris-backgrounds
+%endif
 
 %package extra 
 Summary:                 GNOME themes - extra themes 
@@ -44,8 +48,13 @@
 Requires: SUNWtango-icon-theme
 Requires: SUNWdmz-cursor
 Requires: SUNWdmz-cursor-aa
+%if %option_with_openindiana_branding
+Requires: OIopenindiana-backgrounds
+Requires: OIopenindiana-backgrounds-xtra
+%else
 Requires: SUNWgnome-backgrounds
 Requires: SUNWopensolaris-backgrounds-xtra
+%endif
 Requires: SUNWnimbus-hires
 
 %package devel		
